Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer
Interface ConsumerRegistry

All Known Implementing Classes:
  ConsumerRegistryService

    public interface ConsumerRegistry

Since:
  2.6
Version:
  $Revision: 8784 $
Author:
  Chris Laprun

Method Summary
`void` | `activateConsumerWith(java.lang.String id)` Activates the consumer associated with the specified identifier if and only if access to the remote producer is properly setup (i.e.
`WSRPConsumer` | `createConsumer(java.lang.String id, java.lang.Integer expirationCacheSeconds)`
`void` | `deactivateConsumerWith(java.lang.String id)`
`void` | `destroyConsumer(java.lang.String id)`
`java.util.Collection` | `getConfiguredConsumers()`
`WSRPConsumer` | `getConsumer(java.lang.String id)`
`org.jboss.portal.portlet.federation.FederatingPortletInvoker` | `getFederatingPortletInvoker()`
`void` | `persistConsumer(WSRPConsumer consumer)`
`void` | `registerOrDeregisterConsumerWith(java.lang.String id, boolean register)`
`void` | `updateProducerInfo(ProducerInfo producerInfo)`

Method Detail

### getConfiguredConsumers

    java.util.Collection getConfiguredConsumers()

### getConsumer

    WSRPConsumer getConsumer(java.lang.String id)

### getFederatingPortletInvoker

    org.jboss.portal.portlet.federation.FederatingPortletInvoker getFederatingPortletInvoker()

### createConsumer

    WSRPConsumer createConsumer(java.lang.String id,
                                java.lang.Integer expirationCacheSeconds)
                                throws ConsumerException

  Throws:
    `ConsumerException`

### persistConsumer

    void persistConsumer(WSRPConsumer consumer)
                         throws ConsumerException

  Throws:
    `ConsumerException`

### activateConsumerWith

    void activateConsumerWith(java.lang.String id)
                              throws ConsumerException

  Activates the consumer associated with the specified identifier if and only if access to the remote producer is properly setup (i.e. the associated service factory MUST be available).

  Parameters:
    `id` - the identifier of the consumer to be activated
  Throws:
    `ConsumerException`

### updateProducerInfo

    void updateProducerInfo(ProducerInfo producerInfo)
                            throws ConsumerException

  Throws:
    `ConsumerException`

### deactivateConsumerWith

    void deactivateConsumerWith(java.lang.String id)
                                throws ConsumerException

  Throws:
    `ConsumerException`

### registerOrDeregisterConsumerWith

    void registerOrDeregisterConsumerWith(java.lang.String id,
                                          boolean register)
                                          throws ConsumerException

  Throws:
    `ConsumerException`

### destroyConsumer

    void destroyConsumer(java.lang.String id)
                         throws ConsumerException

  Throws:
    `ConsumerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD